package com.eactive.eai.adapter.socket.service;


import com.eactive.eai.common.util.Logger;

public class SocketLogManager {

	private static SocketLogManager instance = new SocketLogManager();

	//Singleton
    private SocketLogManager() {}
	public static SocketLogManager getInstance() { return instance;	}


    public Logger getLogger( String adapterGroupName ) {
		Logger logger = (Logger) Logger.getLogger("FileLogger{"+ adapterGroupName + "}");
	
        return logger;
    }

    public Logger getErrLogger() {
		return (Logger) Logger.getLogger(Logger.LOGGER_ADAPTER_ERR);
    }

    public Logger getLogger() {
		return (Logger) Logger.getLogger(Logger.LOGGER_ADAPTER);
    }
}
